//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DatabaseProject
{
    using System;
    using System.Collections.Generic;
    
    public partial class warehouse
    {
        public warehouse()
        {
            this.stocks = new HashSet<stock>();
        }
    
        public int id_warehouses { get; set; }
        public string name { get; set; }
        public string description { get; set; }
        public int id_location { get; set; }
        public int id_owner_person { get; set; }
        public int id_contact_person { get; set; }
    
        public virtual location location { get; set; }
        public virtual person_info person_info { get; set; }
        public virtual person_info person_info1 { get; set; }
        public virtual ICollection<stock> stocks { get; set; }
    }
}
